-- GetDemSEALS
-- Author: pineappledan
-- DateCreated: 03/30/2019
--------------------------------------------------------------
include("FLuaVector.lua")

local eCivilizationInuit = GameInfoTypes.CIVILIZATION_CLINUIT

function GetDemSEALS(iX, iY, iOwner, iOldImprovement, iNewImprovement, bPillaged)
	local pPlayer = Players[iOwner]
    
    if not (pPlayer and pPlayer:GetCivilizationType() == eCivilizationInuit) then return end

	local eImprovementBoat = GameInfoTypes.IMPROVEMENT_FISHING_BOATS
	local pPlot = Map.GetPlot(iX, iY)

	if not pPlot then return end
	
	if iNewImprovement == eImprovementBoat then
		print("Get Dem SEALS!")
		if pPlot:GetResourceType() == GameInfoTypes.RESOURCE_FISH then
			for eDirection = 0, DirectionTypes.NUM_DIRECTION_TYPES - 1, 1 do
				local pAdjacentPlot = Map.PlotDirection(pPlot:GetX(), pPlot:GetY(), eDirection)	

				for k = 0, pAdjacentPlot:GetTerrainType() - 1 do
					local pAdjacentTerrain = pAdjacentPlot:GetTerrainType(k)				
					if (pAdjacentTerrain == GameInfoTypes.TERRAIN_TUNDRA or pAdjacentTerrain == GameInfoTypes.TERRAIN_SNOW) then
						print("Turn this to Seals!")
						pPlot:SetImprovementType(-1)
						pPlot:SetResourceType(-1)
						pPlot:SetResourceType(GameInfoTypes.RESOURCE_CLSEALS, 1)
						pPlot:SetImprovementType(eImprovementBoat)
						local pTitle = ("Seals!")
						local pDesc = ("Our expert trappers have lured Seals to eat our fish! New sourcer of [ICON_RES_CLSEALS] Seals")
						pPlayer:AddNotification(NotificationTypes.NOTIFICATION_DISCOVERED_LUXURY_RESOURCE, pDesc, pTitle, pPlot:GetX(), pPlot:GetY())
					return end
				end
			end
		end
	
	elseif iNewImprovement == GameInfoTypes.IMPROVEMENT_INUKSUK then
		print("Inuk Blob!")
		pPlot:SetOwner(iOwner)
		for eDirection2 = 0, DirectionTypes.NUM_DIRECTION_TYPES - 1, 1 do
			local pAdjacentPlot2 = Map.PlotDirection(pPlot:GetX(), pPlot:GetY(), eDirection2)	

			if	pAdjacentPlot2:GetOwner() == -1 then
				local pNearestCity = GetNearestCity(iX, iY)
				pAdjacentPlot2:SetOwner(iOwner, pNearestCity)
				print("Tiles! Nom Nom Nom")
			end
		end
	end
end

function GetNearestCity(iX, iY)
	local iDistance = 10000
	local pNearestCity = nil
	local pPlot = Map.GetPlot(iX, iY)
	local pPlayer = Players[pPlot:GetOwner()]

	for pCity in pPlayer:Cities() do
		local iDistanceToCity = Map.PlotDistance(pCity:GetX(), pCity:GetY(), pPlot:GetX(), pPlot:GetY())

		if(iDistanceToCity < iDistance) then
			iDistance = iDistanceToCity
			pNearestCity = pCity
		end
	end
	return pNearestCity
end

function Harpooned(iAttackingPlayer, iAttackingUnit, attackerDamage, attackerFinalDamage, attackerMaxHP, iDefendingPlayer, iDefendingUnit, defenderDamage, defenderFinalDamage, defenderMaxHP)
	local pAttackingPlayer = Players[iAttackingPlayer]
	local pDefendingPlayer = Players[iDefendingPlayer]

	if pAttackingPlayer ~= nil and pDefendingPlayer ~= nil then
		local pDefendingUnit = Players[iDefendingPlayer]:GetUnitByID(iDefendingUnit)
	
		if pDefendingUnit:IsHasPromotion(GameInfoTypes.PROMOTION_UNAAK_ON_UNIT) then return end
		
		local pAttackingUnit = pAttackingPlayer:GetUnitByID(iAttackingUnit)

		if pAttackingUnit ~= nil and pAttackingUnit:IsHasPromotion(GameInfoTypes.PROMOTION_UNAAK) then

			if defenderFinalDamage < defenderMaxHP then
				pDefendingUnit:SetHasPromotion(GameInfoTypes.PROMOTION_UNAAK_ON_UNIT, true)
			end
		end
	end
end

function PositionCalculator(i1, i2)
	return HexToWorld(ToHexFromGrid(Vector2(i1, i2)))
end

if Game.IsCivEverActive(eCivilizationInuit) then
	GameEvents.TileImprovementChanged.Add(GetDemSEALS)
end

GameEvents.CombatResult.Add(Harpooned)
